package ru.octol1ttle.knockdowns.client.gui;

import net.minecraft.client.gui.Gui;
import net.minecraft.client.gui.ScaledResolution;
import net.minecraft.client.renderer.BufferBuilder;
import net.minecraft.client.renderer.Tessellator;
import net.minecraft.client.renderer.vertex.DefaultVertexFormats;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

@SideOnly(Side.CLIENT)
public abstract class KnockdownsBaseGui extends Gui {
    public abstract void render(float partialTicks, ScaledResolution resolution);

    protected void drawTexture(int x, int y, int width, int height) {
        Tessellator tessellator = Tessellator.getInstance();
        BufferBuilder bufferbuilder = tessellator.getBuffer();
        bufferbuilder.begin(7, DefaultVertexFormats.POSITION_TEX);
        bufferbuilder.pos(x, y, this.zLevel).tex(0, 0).endVertex();
        bufferbuilder.pos(x, y + height, this.zLevel).tex(0, 1).endVertex();
        bufferbuilder.pos(x + width, y + height, this.zLevel).tex(1, 1).endVertex();
        bufferbuilder.pos(x + width, y, this.zLevel).tex(1, 0).endVertex();
        tessellator.draw();
    }
}
