package ru.octol1ttle.knockdowns.client.util;

import net.minecraft.util.math.Vec3d;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import ru.octol1ttle.knockdowns.common.communication.CalloutType;

@SideOnly(Side.CLIENT)
public class Callout {
    private final Vec3d position;
    private final CalloutType type;
    private final long receiveTime;

    public Callout(Vec3d position, CalloutType type, long receiveTime) {
        this.position = position;
        this.type = type;
        this.receiveTime = receiveTime;
    }

    public Vec3d getPosition() {
        return position;
    }

    public CalloutType getType() {
        return type;
    }

    public long getReceiveTime() {
        return receiveTime;
    }
}
